API reference
Receipts
Payment receipts and PDFs
Get Many
Path Parameters
organizationSlug*string
Length
1 <= lengthQuery Parameters
customerId?|
dateFrom?|
dateTo?|
limit?number
Default
10Range
1 <= value <= 100orderBy?array<>
Default
["created_desc"]page?number
Default
1Range
1 <= valuesearch?|
status?|
Response Body
application/json
curl -X GET "https://www.prolifto.store/api/string/receipts"{}Get One
Path Parameters
organizationSlug*string
Length
1 <= lengthreceiptNumber*string
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://www.prolifto.store/api/string/receipts/string"{}View
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/receipts/view" \ -H "Content-Type: application/json" \ -d '{ "receiptId": "string" }'{}Void
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/receipts/void" \ -H "Content-Type: application/json" \ -d '{ "receiptId": "string" }'{}Void Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/receipts/voidMany" \ -H "Content-Type: application/json" \ -d '{ "receiptIds": [ "string" ] }'{}